/**
 * Application Performance Monitoring Synthetic Monitoring API
 * Use the Application Performance Monitoring Synthetic Monitoring API to query synthetic scripts and monitors. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * link between 2 nodes
 */
export interface Link {
    /**
     * id of Link
     */
    "id": string;
    /**
     * source node id
     */
    "source"?: string;
    /**
     * destination node id
     */
    "destination"?: string;
    /**
     * number of times this link is repeated Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "repeatCount"?: number;
    /**
     * average packet loss Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "forwardingLoss"?: number;
    /**
     * difference of packet response time between source and destination in milliseconds Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "delayInMilliseconds"?: number;
    /**
     * minimum delay in milliseconds Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minDelayInMilliseconds"?: number;
    /**
     * maximum delay in milliseconds Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxDelayInMilliseconds"?: number;
}
export declare namespace Link {
    function getJsonObj(obj: Link): object;
    function getDeserializedJsonObj(obj: Link): object;
}
