/**
 * Database Management API
 * Use the Database Management API to perform tasks such as obtaining performance and resource usage metrics
for a fleet of Managed Databases or a specific Managed Database, creating Managed Database Groups, and
running a SQL job on a Managed Database or Managed Database Group.

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The summary of an external listener.
 */
export interface ExternalListenerSummary {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the external listener.
     */
    "id": string;
    /**
     * The user-friendly name for the external listener. The name does not have to be unique.
     */
    "displayName": string;
    /**
     * The name of the external listener.
     */
    "componentName": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment.
     */
    "compartmentId": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the external DB system that the listener is a member of.
     */
    "externalDbSystemId": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the external connector.
     */
    "externalConnectorId"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the external DB node on which the listener is running.
     */
    "externalDbNodeId"?: string;
    /**
     * The type of listener.
     */
    "listenerType"?: string;
    /**
     * The current lifecycle state of the external listener.
     */
    "lifecycleState": string;
    /**
     * Additional information about the current lifecycle state.
     */
    "lifecycleDetails"?: string;
    /**
     * The date and time the external listener was created.
     */
    "timeCreated": Date;
    /**
     * The date and time the external listener was last updated.
     */
    "timeUpdated": Date;
}
export declare namespace ExternalListenerSummary {
    function getJsonObj(obj: ExternalListenerSummary): object;
    function getDeserializedJsonObj(obj: ExternalListenerSummary): object;
}
