/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (FSDR) API to manage disaster recovery for business applications.
FSDR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster recovery
capabilities for all layers of an application stack, including infrastructure, middleware, database, and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details for updating a Run Object Store Script step.
 *
 */
export interface UpdateRunObjectStoreScriptUserDefinedStepDetails extends model.UpdateDrPlanUserDefinedStepDetails {
    /**
     * The OCID of the instance where this script or command should be executed.
     *
     */
    "runOnInstanceId"?: string;
    "objectStorageScriptLocation"?: model.UpdateObjectStorageScriptLocationDetails;
    "stepType": string;
}
export declare namespace UpdateRunObjectStoreScriptUserDefinedStepDetails {
    function getJsonObj(obj: UpdateRunObjectStoreScriptUserDefinedStepDetails, isParentJsonObj?: boolean): object;
    const stepType = "RUN_OBJECTSTORE_SCRIPT";
    function getDeserializedJsonObj(obj: UpdateRunObjectStoreScriptUserDefinedStepDetails, isParentJsonObj?: boolean): object;
}
