"use strict";
/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConnectionSummary = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var ConnectionSummary;
(function (ConnectionSummary) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "ingressIps": obj.ingressIps
                ? obj.ingressIps.map(item => {
                    return model.IngressIpDetails.getJsonObj(item);
                })
                : undefined
        });
        if (obj && "connectionType" in obj && obj.connectionType) {
            switch (obj.connectionType) {
                case "GOLDENGATE":
                    return model.GoldenGateConnectionSummary.getJsonObj(jsonObj, true);
                case "KAFKA_SCHEMA_REGISTRY":
                    return model.KafkaSchemaRegistryConnectionSummary.getJsonObj(jsonObj, true);
                case "POSTGRESQL":
                    return model.PostgresqlConnectionSummary.getJsonObj(jsonObj, true);
                case "ORACLE":
                    return model.OracleConnectionSummary.getJsonObj(jsonObj, true);
                case "MYSQL":
                    return model.MysqlConnectionSummary.getJsonObj(jsonObj, true);
                case "KAFKA":
                    return model.KafkaConnectionSummary.getJsonObj(jsonObj, true);
                case "OCI_OBJECT_STORAGE":
                    return model.OciObjectStorageConnectionSummary.getJsonObj(jsonObj, true);
                case "AZURE_DATA_LAKE_STORAGE":
                    return model.AzureDataLakeStorageConnectionSummary.getJsonObj(jsonObj, true);
                case "AZURE_SYNAPSE_ANALYTICS":
                    return model.AzureSynapseConnectionSummary.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.connectionType}`);
            }
        }
        return jsonObj;
    }
    ConnectionSummary.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "ingressIps": obj.ingressIps
                ? obj.ingressIps.map(item => {
                    return model.IngressIpDetails.getDeserializedJsonObj(item);
                })
                : undefined
        });
        if (obj && "connectionType" in obj && obj.connectionType) {
            switch (obj.connectionType) {
                case "GOLDENGATE":
                    return model.GoldenGateConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                case "KAFKA_SCHEMA_REGISTRY":
                    return model.KafkaSchemaRegistryConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                case "POSTGRESQL":
                    return model.PostgresqlConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                case "ORACLE":
                    return model.OracleConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                case "MYSQL":
                    return model.MysqlConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                case "KAFKA":
                    return model.KafkaConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                case "OCI_OBJECT_STORAGE":
                    return model.OciObjectStorageConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                case "AZURE_DATA_LAKE_STORAGE":
                    return model.AzureDataLakeStorageConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                case "AZURE_SYNAPSE_ANALYTICS":
                    return model.AzureSynapseConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.connectionType}`);
            }
        }
        return jsonObj;
    }
    ConnectionSummary.getDeserializedJsonObj = getDeserializedJsonObj;
})(ConnectionSummary = exports.ConnectionSummary || (exports.ConnectionSummary = {}));
//# sourceMappingURL=connection-summary.js.map